rgl.postscript {rgl} | R Documentation

## export screenshot

### Description

Saves the screenshot to a file in PostScript or other vector graphics format.

### Usage

    rgl.postscript( filename, fmt = "eps", drawText = TRUE )

### Arguments

`filename` | full path to filename.
`fmt` | export format, currently supported: ps, eps, tex, pdf, svg, pgf
`drawText` | logical, whether to draw text

### Details

Animations can be created in a loop modifying the scene and saving a screenshot to a file. (See example below)

This function is a wrapper for the GL2PS library by Christophe Geuzaine, and has the same limitations as that library: not all OpenGL features are supported, and some are only supported in some formats. See the reference for full details.

### Author(s)

Christophe Geuzaine / Albrecht Gebhardt

### References

GL2PS: an OpenGL to PostScript printing library by Christophe Geuzaine, http://www.geuz.org/gl2ps/, version 1.3.8.

### See Also

`rgl.viewpoint`, `rgl.snapshot`

### Examples

    x <- y <- seq(-10, 10, length = 20)
    z <- outer(x, y, function(x, y) x^2 + y^2)
    persp3d(x, y, z, col = 'lightblue')

    title3d("Using LaTeX text", col = 'red', line = 3)
    rgl.postscript("persp3da.ps", "ps", drawText = FALSE)
    rgl.postscript("persp3da.pdf", "pdf", drawText = FALSE)
    rgl.postscript("persp3da.tex", "tex")
    rgl.pop()
    title3d("Using ps/pdf text", col = 'red', line = 3)
    rgl.postscript("persp3db.ps", "ps")
    rgl.postscript("persp3db.pdf", "pdf")
    rgl.postscript("persp3db.tex", "tex", drawText = FALSE)

    ## Not run:

    #
    # create a series of frames for an animation
    #

    rgl.open()
    shade3d(oh3d(), color = "red")
    rgl.viewpoint(0, 20)

    for (i in 1:45) {
      rgl.viewpoint(i, 20)
      filename <- paste("pic", formatC(i, digits = 1, flag = "0"), ".eps", sep = "")
      rgl.postscript(filename, fmt = "eps")
    }

    ## End(Not run)

[Package rgl version 0.98.1 Index]